#include "types.h"

namespace armarx::nav::core
{
    core::Pose Twist::poseDiff(const float dt) const
    {
        return core::Pose(Eigen::Translation3f(linear * dt)) *
               core::Pose(Eigen::AngleAxisf(angular.norm() * dt, angular.normalized()));
    }
} // namespace armarx::nav::core
